# Generated from logstash-input-cloudwatch_logs_importer-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logstash-input-cloudwatch_logs_importer

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Imports log data from Cloudwatch Logs
License: Apache-2.0
URL: http://www.elastic.co/guide/en/logstash/current/index.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(logstash-devutils)
BuildArch: noarch

%description
This gem is a Logstash plugin required to be installed on top of the Logstash
core pipeline using $LS_HOME/bin/logstash-plugin install gemname. This gem is
not a stand-alone program.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docs
%{gem_instdir}/logstash-input-cloudwatch_logs_importer.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.2-1
- Initial package
